Ubuntu 16.10: Oops panic in move_page_tables/page_remove_rmap after running memory_stress_ng.

Bug #1628976 reported by bugproxy on 2016-09-29
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Trusty
High
Seth Forshee
Xenial
High
Tim Gardner
Yakkety
High
Tim Gardner

Bug Description

FYI Canonical:

We have been seeing various page handling issues during memory stress in the 4.8 kernels. The following is the most recent issue resulting in system panics on this host after the 4.8.0-17 update:

== Comment: #17 - PAVITHRA R. PRAKASH - 2016-09-28 06:26:21 ==
Hi,

Tried running on 4.8.0-17-generic kernel. Getting below call trace and system crashes. Attaching logs.

[ 2959.364333] Unable to handle kernel paging request for data at address 0xf000000002fe4020
[ 2959.364345] Faulting instruction address: 0xc0000000002bb2a0
[ 2959.364356] Oops: Kernel access of bad area, sig: 11 [#1]
[ 2959.364364] SMP NR_CPUS=2048 NUMA pSeries
[ 2959.364377] Modules linked in: rpadlpar_io rpaphp dccp_diag dccp tcp_diag udp_diag inet_diag unix_diag af_packet_diag netlink_diag bnx2x mdio libcrc32c pseries_rng vmx_crypto binfmt_misc ip_tables x_tables autofs4 ibmvscsi crc32c_vpmsum
[ 2959.364441] CPU: 13 PID: 108 Comm: oom_reaper Not tainted 4.8.0-17-generic #19-Ubuntu
[ 2959.364452] task: c0000004fbdf9c00 task.stack: c0000004fbe00000
[ 2959.364461] NIP: c0000000002bb2a0 LR: c000000000300618 CTR: c00000000009ca40
[ 2959.364471] REGS: c0000004fbe036e0 TRAP: 0300 Not tainted (4.8.0-17-generic)
[ 2959.364481] MSR: 800000010280b033 <SF,VEC,VSX,EE,FP,ME,IR,DR,RI,LE,TM[E]> CR: 24028844 XER: 2000000c
[ 2959.364526] CFAR: c000000000300614 DAR: f000000002fe4020 DSISR: 40000000 SOFTE: 1
               GPR00: c000000000300618 c0000004fbe03960 c0000000014e5e00 f000000002fe4000
               GPR04: 0000000000000001 0000000000000800 0000000000000000 c000000001665e00
               GPR08: 00000000f900a196 0000000000000001 0000000002fe4000 0000000000000000
               GPR12: 0000000000008800 c000000001b37500 0008000000000000 c1ffffffffffe7ff
               GPR16: c0000004f62a55f0 00003fff9a000000 00003fff99000000 0000000000000000
               GPR20: c0000004fbe03b80 c0000004e0713800 8e017c33020000c0 0000000000010000
               GPR24: c0000000fb3614c8 c0000000fce9d990 c0000000fce9d6e4 96a100f90b000040
               GPR28: f000000002fe4000 c0000000fb3614c8 0000000000000001 f000000002fe4000
[ 2959.364673] NIP [c0000000002bb2a0] page_remove_rmap+0x30/0x4b0
[ 2959.364685] LR [c000000000300618] zap_huge_pmd+0xf8/0x480
[ 2959.364692] Call Trace:
[ 2959.364699] [c0000004fbe03960] [c0000004fbe039a0] 0xc0000004fbe039a0 (unreliable)
[ 2959.364714] [c0000004fbe039a0] [c000000000300618] zap_huge_pmd+0xf8/0x480
[ 2959.364726] [c0000004fbe039f0] [c0000000002a68d8] unmap_page_range+0xd08/0xee0
[ 2959.364740] [c0000004fbe03b20] [c00000000025c474] __oom_reap_task+0x204/0x2c0
[ 2959.364752] [c0000004fbe03c80] [c00000000025cda8] oom_reaper+0x1e8/0x300
[ 2959.364765] [c0000004fbe03d80] [c0000000000fd120] kthread+0x110/0x130
[ 2959.364778] [c0000004fbe03e30] [c0000000000098f0] ret_from_kernel_thread+0x5c/0x6c
[ 2959.364788] Instruction dump:
[ 2959.364796] 3c4c0123 3842ab90 7c0802a6 fba1ffe8 fbc1fff0 fbe1fff8 f8010010 f821ffc1
[ 2959.364821] 7c7f1b78 7c9e2378 60000000 60000000 <e95f0020> 71480001 392affff 40820008
[ 2959.364871] ---[ end trace 178b14c6911b70dc ]---
[ 2959.372762]
[ 2959.372798] Sending IPI to other CPUs
[ 2959.373834] IPI complete

Thanks,
Pavithra

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-146511 severity-high targetmilestone-inin---
bugproxy (bugproxy) wrote : crash log

Default Comment by Bridge

Default Comment by Bridge

Default Comment by Bridge

Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → linux (Ubuntu)
tags: added: kernel-4.8
bugproxy (bugproxy) on 2016-10-03
tags: added: severity-critical
removed: severity-high

Default Comment by Bridge

------- Comment From <email address hidden> 2016-10-03 13:01 EDT-------
For the record, while trying to recreate bug 146776 using a 4.8.0 kernel in the guest, I faced the issue you mentioned in comment 17 which I was hoping to be fixed with the latest commit in 4.8.0.
I'd to mention that the host is running the Ubuntu kernel 4.8.0-17-generic.

Unable to handle kernel paging request for data at address 0x4200000001c10118
Faulting instruction address: 0xc00000000027bf6c
Oops: Kernel access of bad area, sig: 11 [#1]
SMP NR_CPUS=2048 NUMA pSeries
Modules linked in: virtio_balloon ip_tables x_tables autofs4 dm_crypt virtio_net virtio_blk virtio_pci virtio_ring virtio
CPU: 2 PID: 2934 Comm: mmstress Not tainted 4.8.0 #1
task: c000000de154ff80 task.stack: c000000de1c40000
NIP: c00000000027bf6c LR: c00000000027bf64 CTR: 0000000000000000
REGS: c000000de1c43820 TRAP: 0300 Not tainted (4.8.0)
MSR: 8000000000009033 <SF,EE,ME,IR,DR,RI,LE> CR: 84822884 XER: 20000000
CFAR: c0000000000eacd4 DAR: 4200000001c10118 DSISR: 40000000 SOFTE: 1
GPR00: c00000000027bf64 c000000de1c43aa0 c000000000e13300 c000000ddafb89e4
GPR04: c000000de1dee0f8 c000000d8ad558d8 0000000004210095 0000000095002104
GPR08: e000000d95002104 0000000000000001 042100950d0000e0 0000000004210095
GPR12: 0000000000002200 c00000000fe00800 c000000de1dee0f8 0000000000000000
GPR16: c1ffffffffffe7ff 00003fff5b000000 4200000001c10118 00003fff5c000000
GPR20: 0008000000000000 c000000dda304800 0405e700000000e0 0000000000010000
GPR24: c000000d8ad558d8 c000000ddafb8c90 c000000de1dee0f8 c000000ddafb89e4
GPR28: c000000de1c43b10 c000000d8ad558d8 00003fff5b000000 4200000001c10118
NIP [c00000000027bf6c] zap_huge_pmd+0x4c/0x470
LR [c00000000027bf64] zap_huge_pmd+0x44/0x470
Call Trace:
[c000000de1c43aa0] [c00000000027bf64] zap_huge_pmd+0x44/0x470 (unreliable)
[c000000de1c43af0] [c00000000022bbd8] unmap_page_range+0xcf8/0xed0
[c000000de1c43c30] [c00000000022c2d4] unmap_vmas+0x84/0x120
[c000000de1c43c80] [c000000000235448] unmap_region+0xd8/0x1b0
[c000000de1c43d80] [c0000000002378f0] do_munmap+0x2d0/0x4c0
[c000000de1c43df0] [c000000000237be4] SyS_munmap+0x64/0xb0
[c000000de1c43e30] [c000000000009560] system_call+0x38/0x108
Instruction dump:
fbe1fff8 fb81ffe0 7c7f1b78 7ca32b78 7cbd2b78 f8010010 7c9a2378 f821ffb1
7cde3378 4bfffea9 7c7b1b79 41820298 <e87f0000> 48000130 7fa5eb78 7fc4f378
---[ end trace 1bb70b176c9e87ad ]---

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-10-11 05:02 EDT-------
*** Bug 146779 has been marked as a duplicate of this bug. ***

bugproxy (bugproxy) on 2016-10-11
tags: added: targetmilestone-inin1610
removed: targetmilestone-inin---
Breno Leitão (breno-leitao) wrote :
Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Xenial):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Yakkety):
assignee: Taco Screen team (taco-screen-team) → Tim Gardner (timg-tpi)
status: New → In Progress
Seth Forshee (sforshee) on 2016-10-11
Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Yakkety):
importance: Undecided → High
Changed in linux (Ubuntu Xenial):
importance: Undecided → High
Changed in linux (Ubuntu Trusty):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
status: New → Fix Committed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-10-12 01:45 EDT-------
We can reproduce this bug with 4.8.0-22-generic. When the patch will be applied, please?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-10-12 05:12 EDT-------
*** Bug 146776 has been marked as a duplicate of this bug. ***

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-10-17 02:34 EDT-------
*** Bug 147408 has been marked as a duplicate of this bug. ***

Seth Forshee (sforshee) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
tags: added: verification-needed-xenial
Seth Forshee (sforshee) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
Seth Forshee (sforshee) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

bugproxy (bugproxy) on 2016-10-18
tags: removed: bugnameltc-146511 kernel-4.8 severity-critical verification-needed-trusty verification-needed-xenial verification-needed-yakkety
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-10-19 03:27 EDT-------
*** Bug 146900 has been marked as a duplicate of this bug. ***

tags: added: bugnameltc-146511 severity-critical verification-needed-trusty verification-needed-xenial verification-needed-yakkety
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-10-19 08:37 EDT-------
Hi,

Tested with "4.8.0-25-generic" kernel from -proposed. Issue reported in bug is not observed, memory_stress_ng test got completed and system was up and running.

But got below call trace while running mlock test [ not consistent ] . Attaching logs.

[ 5230.664871] Oops: Unrecoverable exception, sig: 6 [#1]
[ 5230.664874] SMP NR_CPUS=2048 NUMA pSeries
[ 5230.664878] Modules linked in: pseries_rng vmx_crypto ip_tables x_tables autofs4 ibmvscsi lpfc crc32c_vpmsum scsi_transport_fc
[ 5230.664889] CPU: 8 PID: 5499 Comm: stress-ng-mlock Not tainted 4.8.0-25-generic #27-Ubuntu
[ 5230.664893] task: c0000001b018c600 task.stack: c0000001ab288000
[ 5230.664895] NIP: c000000000009c64 LR: c000000000028d30 CTR: 0000000000000001
[ 5230.664899] REGS: c0000001ab28b9c0 TRAP: 0700 Not tainted (4.8.0-25-generic)
[ 5230.664901] MSR: 8000000302a03031 <SF,VEC,VSX,FP,ME,IR,DR,LE,TM[SE]> CR: 44002428 XER: 20000000
[ 5230.664913] CFAR: c000000000009c30 SOFTE: 1
PACATMSCRATCH: 800000010280b033
GPR00: c000000000028d30 c0000001ab28bc40 c000000001476700 00003fffd12d2b38
GPR04: 0000000000001000 00003fffd12d1dc0 0000000000000000 c0000001b018d560
GPR08: 00003fff9deffb10 0000000000000000 0000000000000000 000c000000000000
GPR12: c0000001b018d110 c00000000fb84800 00000000000186a0 00003fffd12d34a8
GPR16: 00003fffd12d34a3 ffffffffffffffff ffffffffffffffff 0000000000000001
GPR20: 0000000000000000 000000002b168160 00003fff9c010010 000000002b1681a8
GPR24: 0000000000000000 c0000001b018cdd0 0000000000000005 00003fffd12d2b28
GPR28: c0000001ab28bd30 c0000001ab28bea0 0000000000000000 00003fffd12d1dc0
[ 5230.664961] NIP [c000000000009c64] fast_exception_return+0x94/0x9c
[ 5230.664965] LR [c000000000028d30] handle_rt_signal64+0x80/0x790
[ 5230.664967] Call Trace:
[ 5230.664970] [c0000001ab28bc40] [c000000000028d18] handle_rt_signal64+0x68/0x790 (unreliable)
[ 5230.664978] [c0000001ab28bd10] [c00000000001b6d0] do_signal+0x1e0/0x2b0
[ 5230.664982] [c0000001ab28be00] [c00000000001b928] do_notify_resume+0xb8/0xd0
[ 5230.664986] [c0000001ab28be30] [c000000000009b44] ret_from_except_lite+0x70/0x74
[ 5230.664989] Instruction dump:
[ 5230.664992] 7c40e3a6 e9a100d8 7c7b03a6 e84101a0 7c4ff120 e8410170 7c5a03a6 e8010070
[ 5230.664999] e8410080 e8610088 e8810090 e8210078 <4c000024> 48000000 e8610178 88ed023b
[ 5230.665008] ---[ end trace 9f6fd8e3b185bfb5 ]---
[ 5230.697553]
[ 5235.381161] systemd-journald[603]: /dev/kmsg buffer overrun, some messages lost.
stress-ng: info: [5310] unsuccessful run completed in 307.27s (5 mins, 7.27 secs)
return_code is 2
*****************************************************************
** Error 2 reported on stressor mlock!)
*****************************************************************

Thanks,
Pavithra

------- Comment (attachment only) From <email address hidden> 2016-10-19 08:41 EDT-------

------- Comment (attachment only) From <email address hidden> 2016-10-19 08:42 EDT-------

bugproxy (bugproxy) on 2016-10-19
tags: added: verification-done-trusty verification-done-xenial verification-done-yakkety
removed: verification-needed-trusty verification-needed-xenial verification-needed-yakkety
Tim Gardner (timg-tpi) wrote :

<email address hidden> - the crash stack in comment #17 looks like a different bug. Please start a new bug report.

tags: added: verification-needed-trusty verification-needed-xenial
removed: verification-done-trusty verification-done-xenial

Default Comment by Bridge

bugproxy (bugproxy) on 2016-10-20
tags: added: verification-done-xenial
removed: verification-needed-xenial

------- Comment (attachment only) From <email address hidden> 2016-10-19 08:41 EDT-------

------- Comment (attachment only) From <email address hidden> 2016-10-19 08:42 EDT-------

------- Comment From <email address hidden> 2016-10-25 11:38 EDT-------
*** Bug 147802 has been marked as a duplicate of this bug. ***

Brad Figg (brad-figg) on 2016-11-07
tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :
Download full text (12.7 KiB)

This bug was fixed in the package linux - 3.13.0-101.148

---------------
linux (3.13.0-101.148) trusty; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1635430

  * [arm64] nova instances can't boot with 3.13.0-92 (LP: #1608854)
    - Revert "efi: Disable interrupts around EFI calls, not in the epilog/prolog
      calls"
    - Revert "x86/efi: Use all 64 bit of efi_memmap in setup_e820()"
    - Revert "x86/efi: Store upper bits of command line buffer address in
      ext_cmd_line_ptr"
    - Revert "efivarfs: Ensure VariableName is NUL-terminated"
    - Revert "efi/libstub: Fix boundary checking in efi_high_alloc()"
    - Revert "arm64: efi: only attempt efi map setup if booting via EFI"
    - Revert "UBUNTU: arm64: Implement efi_enabled()"
    - Revert "efi/arm64: ignore dtb= when UEFI SecureBoot is enabled"
    - Revert "doc: arm64: add description of EFI stub support"
    - Revert "UBUNTU: Move get_dram_base to arm private file"
    - Revert "arm64: efi: add EFI stub"
    - Revert "arm64: add EFI runtime services"
    - Revert "efi: Add shared FDT related functions for ARM/ARM64"
    - Revert "efi: add helper function to get UEFI params from FDT"
    - Revert "doc: efi-stub.txt updates for ARM"
    - Revert "efi: Add get_dram_base() helper function"
    - Revert "efi: create memory map iteration helper"
    - Revert "x86, ia64: Move EFI_FB vga_default_device() initialization to
      pci_vga_fixup()"
    - Revert "firmware: Do not use WARN_ON(!spin_is_locked())"
    - Revert "efi-pstore: Fix an overflow on 32-bit builds"
    - Revert "x86/efi: Fix 32-bit fallout"
    - Revert "x86/efi: Check krealloc return value"
    - Revert "x86/efi: Runtime services virtual mapping"
    - Revert "x86/efi: Fix off-by-one bug in EFI Boot Services reservation"
    - x86/efi: Simplify EFI_DEBUG
    - x86/efi: Runtime services virtual mapping
    - x86/efi: Check krealloc return value
    - SAUCE: Merge tag 'efi-next' of
      git://git.kernel.org/pub/scm/linux/kernel/git/mfleming/efi into x86/efi
    - doc: Fix trivial spelling mistake in efi-stub.txt
    - x86/efi: Remove unused variables in __map_region()
    - x86/efi: Add a wrapper function efi_map_region_fixed()
    - x86/efi: Fix off-by-one bug in EFI Boot Services reservation
    - x86/efi: Cleanup efi_enter_virtual_mode() function
    - efi: Export more EFI table variables to sysfs
    - [Config] CONFIG_EFI_RUNTIME_MAP=y
    - efi: Export EFI runtime memory mapping to sysfs
    - x86/efi: Pass necessary EFI data for kexec via setup_data
    - x86/efi: Delete superfluous global variables
    - x86/efi: parse_efi_setup() build fix
    - SAUCE: Merge tag 'v3.13-rc7' into x86/efi-kexec to resolve conflicts
    - x86/efi: Allow mapping BGRT on x86-32
    - x86/efi: Fix 32-bit fallout
    - x86/efi: Check status field to validate BGRT header
    - x86/efi: Quirk out SGI UV
    - v3.14 - Bacported EFI up to v3.14
    - efi: Move facility flags to struct efi
    - efi: Set feature flags inside feature init functions
    - efivarfs: 'efivarfs_file_write' function reorganization
    - x86/efi: Delete out-of-date comments of efi_query_variable_store
    - x86/efi: Style neatening
    - x8...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.4.0-47.68

---------------
linux (4.4.0-47.68) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1636941

  * Add a driver for Amazon Elastic Network Adapters (ENA) (LP: #1635721)
    - lib/bitmap.c: conversion routines to/from u32 array
    - net: ethtool: add new ETHTOOL_xLINKSETTINGS API
    - net: ena: Add a driver for Amazon Elastic Network Adapters (ENA)
    - [config] enable CONFIG_ENA_ETHERNET=m (Amazon ENA driver)

  * unexpectedly large memory usage of mounted snaps (LP: #1636847)
    - [Config] switch squashfs to single threaded decode

 -- Kamal Mostafa <email address hidden> Wed, 26 Oct 2016 10:47:55 -0700

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package linux - 4.8.0-27.29

---------------
linux (4.8.0-27.29) yakkety; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1635377

  * proc_keys_show crash when reading /proc/keys (LP: #1634496)
    - SAUCE: KEYS: ensure xbuf is large enough to fix buffer overflow in
      proc_keys_show (LP: #1634496)

  * Revert "If zone is so small that watermarks are the same, stop zone balance"
    in yakkety (LP: #1632894)
    - Revert "UBUNTU: SAUCE: (no-up) If zone is so small that watermarks are the
      same, stop zone balance."

  * lts-yakkety 4.8 cannot mount lvm raid1 (LP: #1631298)
    - SAUCE: (no-up) dm raid: fix compat_features validation

  * kswapd0 100% CPU usage (LP: #1518457)
    - SAUCE: (no-up) If zone is so small that watermarks are the same, stop zone
      balance.

  * [Trusty->Yakkety] powerpc/64: Fix incorrect return value from
    __copy_tofrom_user (LP: #1632462)
    - SAUCE: (no-up) powerpc/64: Fix incorrect return value from
      __copy_tofrom_user

  * Ubuntu 16.10: Oops panic in move_page_tables/page_remove_rmap after running
    memory_stress_ng. (LP: #1628976)
    - SAUCE: (no-up) powerpc/pseries: Fix stack corruption in htpe code

  * Paths not failed properly when unmapping virtual FC ports in VIOS (using
    ibmvfc) (LP: #1632116)
    - scsi: ibmvfc: Fix I/O hang when port is not mapped

  * [Ubuntu16.10]KV4.8: kernel livepatch config options are not set
    (LP: #1626983)
    - [Config] Enable live patching on powerpc/ppc64el

  * CONFIG_AUFS_XATTR is not set (LP: #1557776)
    - [Config] CONFIG_AUFS_XATTR=y

  * Yakkety update to 4.8.1 stable release (LP: #1632445)
    - arm64: debug: avoid resetting stepping state machine when TIF_SINGLESTEP
    - Using BUG_ON() as an assert() is _never_ acceptable
    - usb: misc: legousbtower: Fix NULL pointer deference
    - Staging: fbtft: Fix bug in fbtft-core
    - usb: usbip: vudc: fix left shift overflow
    - USB: serial: cp210x: Add ID for a Juniper console
    - Revert "usbtmc: convert to devm_kzalloc"
    - ALSA: hda - Adding one more ALC255 pin definition for headset problem
    - ALSA: hda - Fix headset mic detection problem for several Dell laptops
    - ALSA: hda - Add the top speaker pin config for HP Spectre x360
    - Linux 4.8.1

  * PSL data cache should be flushed before resetting CAPI adapter
    (LP: #1632049)
    - cxl: Flush PSL cache before resetting the adapter

  * thunder nic: avoid link delays due to RX_PACKET_DIS (LP: #1630038)
    - net: thunderx: Don't set RX_PACKET_DIS while initializing

  * crypto/vmx/p8_ghash memory corruption (LP: #1630970)
    - crypto: ghash-generic - move common definitions to a new header file
    - crypto: vmx - Fix memory corruption caused by p8_ghash
    - crypto: vmx - Ensure ghash-generic is enabled

  * arm64: SPCR console not autodetected (LP: #1630311)
    - of/serial: move earlycon early_param handling to serial
    - [Config] CONFIG_ACPI_SPCR_TABLE=y
    - ACPI: parse SPCR and enable matching console
    - ARM64: ACPI: enable ACPI_SPCR_TABLE
    - serial: pl011: add console matching function

  * include/linux/security.h header syntax error with !CONFIG_SECURITYFS
...

Read more...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.8.0-30.32

---------------
linux (4.8.0-30.32) yakkety; urgency=low

  * CVE-2016-8655 (LP: #1646318)
    - packet: fix race condition in packet_set_ring

 -- Brad Figg <email address hidden> Thu, 01 Dec 2016 08:02:53 -0800

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers